%define nam	gtkmm
%define ver	1.2.1

%define	prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib

#Release:	0_helix_1
#Release:	0_helix_1
#Release:	0_helix_1
Release: 8
Serial: 1
#Release:		0_helix_1
#Release:	0_helix_1
#Release:	0mdk_helix_1
#Release:	0_helix_1

Summary:	A C++ interface for the GTK+ (a GUI library for X).
Name:		gtkmm
Version: 	%ver
Copyright:	LGPL
Group:		System Environment/Libraries
Source: 	ftp://ftp.gtk.org/pub/gtk/%{nam}/%{nam}-%{ver}.tar.gz
Patch0: pragma.patch
Patch1: cmath.patch
Patch2: Makefile.am.patch
Patch3: getenv.patch
Patch4: lexer.patch 
URL:		http://lazy.ton.tut.fi/gtk--/gtk--.html
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Obsoletes:	Gtk--, gtk--
BuildPreReq: gtk+-devel, glib-devel, libsigc++-devel
Requires:	gtk+, glib, libsigc++
#Requires:	gtk, glib, lsigcpp

# Red Hat patches

# Helix patches

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library.  The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented framework.
Features include type safe callbacks, widgets that are extensible using
inheritance and over 110 classes that can be freely combined to quickly
create complex user interfaces.

%package devel
#%package -n gtkmmdev
Summary: Headers for developing programs that will use Gtk--.
Group: Development/Libraries
Obsoletes: Gtk---devel, gtk---devel
Requires: gtk+-devel, glib-devel, libsigc++-devel
#Requires: gtkdev, glibdev, lsigcppd

%description devel
#%description -n gtkmmdev
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+
(the Gimp ToolKit) GUI library.

%prep
%setup -q -n %{nam}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%ifarch alpha
        ARCH_FLAGS="--host=alpha-linux-gnu"
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure  $ARCH_FLAGS \
        --prefix=%{prefix} \
        --disable-maintainer-mode \
        --enable-static \
        --enable-shared --enable-docs \
	--sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install

# replace examples.conf by a really simple one
echo 'CXXBUILD = g++ -O2 $< -o $@ `gtkmm-config --cflags --libs` ' \
        > examples/examples.conf

# strip down the docs
find docs/ \
\(      -name 'Makefile' -or    \
        -name 'Makefile.in' -or \
        -name 'Makefile.am' -or \
        -name '*.m4' -or        \
        -name 'html' -or        \
        -name 'header' -or      \
        -name '*.h'             \
\)      -exec rm {} \;

# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/lib/*.so.*

%files devel
#%files -n gtkmmdev
%defattr(-, root, root)
%doc examples/ docs/  AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/include/*.h
%{prefix}/include/gdk--
%{prefix}/include/gtk--
%{prefix}/lib/*.la
%{prefix}/lib/*.a
%{prefix}/lib/*.so
%{prefix}/lib/gtkmm

%changelog
* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- added Serial so that we can upgrade from the 6.2 Helix packages

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq's of libsigc++/libsigc++-devel et al.

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- removed Docdir line in header, it was breaking our /usr/share/doc location
  for docs

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix /usr/doc problems and also bug #13153 

* Wed Jun 28 2000 Tim Powers <timp@redhat.com>
- using Helix's spec file since ours was horked
